Loading...
Searching...
No Matches
Frame Sets IO functions

## Functions

cpl_imagelist * | cpl_imagelist_load_frameset (const cpl_frameset *fset, cpl_type im_type, cpl_size pnum, cpl_size xtnum)
| Load an imagelist from a frameset.

## Detailed Description

Synopsis:
  #include <cpl_frameset_io.h>

## Function Documentation

## cpl_imagelist_load_frameset()

cpl_imagelist * cpl_imagelist_load_frameset | ( | const cpl_frameset * | fset,
|  | cpl_type | im_type,
|  | cpl_size | pnum,
|  | cpl_size | xtnum )

Load an imagelist from a frameset.

Parameters

  fset | The frames set
  im_type | The required image type
  pnum | The plane number, 1 for first, 0 for all planes
  xtnum | The extension number, 0 for primary, n for nth, -1 for all

Returns
  the loaded list of images or NULL on error.

Note
  The returned cpl_imagelist must be deallocated using cpl_imagelist_delete()

Possible _cpl_error_code_ set in this function:

- CPL_ERROR_NULL_INPUT if fset is NULL
- CPL_ERROR_ILLEGAL_INPUT if pnum is negative, xtnum is lower than -1 or one image cannot be loaded as specified

References cpl_ensure, CPL_ERROR_ACCESS_OUT_OF_RANGE, CPL_ERROR_BAD_FILE_FORMAT, CPL_ERROR_DATA_NOT_FOUND, cpl_error_get_code(), CPL_ERROR_ILLEGAL_INPUT, CPL_ERROR_NULL_INPUT, cpl_error_set, cpl_errorstate_get(), cpl_errorstate_is_equal(), cpl_errorstate_set(), cpl_frame_get_filename(), cpl_frameset_iterator_advance(), cpl_frameset_iterator_delete(), cpl_frameset_iterator_get_const(), cpl_frameset_iterator_new(), cpl_image_delete(), cpl_imagelist_delete(), cpl_imagelist_get_size(), cpl_imagelist_new(), cpl_imagelist_set(), and CPL_SIZE_FORMAT.